View Issue Details

IDProjectCategoryView StatusLast Update
0002736SymmetricDSBugpublic2016-08-22 16:26
ReporterrwfullerAssigned Tojosh-a-hicks 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.1 
Target VersionFixed in Version3.8.2 
Summary0002736: TableReloadRequest does not work when sending data to central
DescriptionAt our central node, we generate a TableReloadRequest with the source being another node and the target node being the central node. This worked in 3.7.*. Now when processing a TableReloadRequest it checks if the target node is registered (NODE_SECURITY.REGISTRATION_TIME != null) which is always null for the central node because it is the registration server.
Steps To Reproduce1. Generate TableReloadRequest using registration node as target node
2. The requests will not be processed due to target node is not registered.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 168df226

2016-08-17 12:39:31

josh-a-hicks

Details Diff
0002736: TableReloadRequest does not work when sending data to central
0002736
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2016-08-16 22:44 rwfuller New Issue
2016-08-17 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 168df226
2016-08-17 16:02 josh-a-hicks Status new => resolved
2016-08-17 16:02 josh-a-hicks Fixed in Version => 3.8.2
2016-08-17 16:02 josh-a-hicks Resolution open => fixed
2016-08-17 16:02 josh-a-hicks Assigned To => josh-a-hicks
2016-08-22 16:26 elong Status resolved => closed